package com.fjhx.ehsd.controller.delivery;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractProductDto;
import com.fjhx.sale.entity.contract.dto.ContractProductSelectDto;
import com.fjhx.sale.entity.contract.vo.ContractProductVo;
import com.fjhx.sale.service.contract.ContractProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 交接单
 * </p>
 *
 * @author  czj
 * @since 2023-05-05
 */
@RestController
@RequestMapping("/delivery")
public class DeliveryController {

    @Autowired
    private ContractProductService contractProductService;

    /**
     * 交接单--分页
     */
    @PostMapping("/page")
    public Page<ContractProductVo> page(@RequestBody ContractProductSelectDto dto) {
        return contractProductService.getEHSDPage(dto);
    }

}
