package com.fjhx.common.entity.corporation.dto;

import com.fjhx.common.entity.corporation.po.Corporation;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 多公司配置新增编辑入参实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class CorporationDto extends Corporation {

    /**
     * 企业logo
     */
    List<ObsFile> enterpriseLogoList;
    /**
     * 法人签名
     */
    List<ObsFile> larSignList;
    /**
     * 公章
     */
    List<ObsFile> officialSealList;
    /**
     * 合同章
     */
    List<ObsFile> contractSealList;

}
